Bug 912182

Summary: ERROR: chroot /var/lib/mock/fedora-rawhide-x86_64/root/ not initialized!
Product: [Fedora] Fedora Reporter: Mathieu Bridon <bochecha>
Component: fedora-reviewAssignee: Stanislav Ochotnicky <sochotni>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: leamas.alec, pingou, sochotni
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: fedora-review-0.4.1-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-04 22:24:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mathieu Bridon 2013-02-18 03:52:23 UTC
Description of problem:
I just tried fedora-review 0.4.0-3 from updates-testing, and it fails as follows:
 $ fedora-review -b 868578 -m fedora-rawhide-x86_64 
 INFO: Processing bugzilla bug: 868578
 INFO: Getting .spec and .srpm Urls from : 868578
 INFO:   --> SRPM url: http://denisarnaud.fedorapeople.or/re2/re2-20130115-2.fc18.src.rpm
 INFO:   --> Spec url: http://denisarnaud.fedorapeople.org/re2/re2.spec
 INFO: Using review directory: /home/mathieu/Workspace/reviews/868578-re2
 INFO: Downloading .spec and .srpm files
 ERROR: chroot /var/lib/mock/fedora-rawhide-x86_64/root/ not initialized!
 ERROR: Exception down the road...(logs in /home/mathieu/.cache/fedora-review.log)

Logs don't contain anything interesting except for the actual command being run when the failure occured:
 mock -r fedora-rawhide-x86_64 --no-cleanup-after --no-clean --resultdir=/home/mathieu/Workspace/reviews/868578-re2/results --quiet --shell "rpm --eval \"%rhel %fedora %_build_arch %_arch\""

Running this command manually indeed fails on the mock chroot not being initialized.

Shouldn't fedora-review take care of initializing the chroot before using it?

The previous version (0.3.1-3, currently in the stable repository) properly does so:
 $ ps xf
   PID TTY      STAT   TIME COMMAND
 [... snip ...]
 10084 pts/2    S+     0:00  |   |   |   \_ /usr/bin/python -tt /usr/bin/fedora-review -b 868578 -m fedora-rawhide-x86_64
 10127 pts/2    Sl+    0:00  |   |   |       \_ mock -r fedora-rawhide-x86_64 --init
 [... snip ...]

Comment 1 Stanislav Ochotnicky 2013-02-18 09:34:33 UTC
Verified the bug, found the commit causing the failure. Fix coming soonish

Comment 2 Fedora Update System 2013-02-21 13:23:32 UTC
fedora-review-0.4.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-4.fc18

Comment 3 Fedora Update System 2013-02-21 13:24:24 UTC
fedora-review-0.4.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-4.fc17

Comment 4 Fedora Update System 2013-02-21 13:25:21 UTC
fedora-review-0.4.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-4.el6

Comment 5 Fedora Update System 2013-02-22 19:01:55 UTC
Package fedora-review-0.4.0-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedora-review-0.4.0-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0409/fedora-review-0.4.0-4.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-03-04 22:24:22 UTC
fedora-review-0.4.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-03-04 22:26:26 UTC
fedora-review-0.4.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-03-11 19:35:41 UTC
fedora-review-0.4.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-04-29 14:51:27 UTC
fedora-review-0.4.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.4.1-1.fc18

Comment 10 Fedora Update System 2013-04-29 14:52:02 UTC
fedora-review-0.4.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.4.1-1.el6

Comment 11 Fedora Update System 2013-04-29 14:52:31 UTC
fedora-review-0.4.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.4.1-1.fc19

Comment 12 Fedora Update System 2013-04-29 14:53:03 UTC
fedora-review-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-review-0.4.1-1.fc17

Comment 13 Fedora Update System 2013-05-04 01:42:26 UTC
fedora-review-0.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-05-14 17:45:37 UTC
fedora-review-0.4.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.